Billing

Handle platform subscription

Billing & Subscription

It manages various aspects of billing and subscriptions. It includes verify coupon validity, create, retrieve, and cancel subscription charges, manage one-time charges, access and manage invoices, work with customer details, and interact with subscription plans, allowing you to retrieve details, manage features, activate or cancel plans, access enterprise plans, and update plan statuses as needed.

Operations
GET
/service/platform/billing/v1.0/company/{company_id}/extension/{extension_id}/charge/{charge_id}
# Obtain charge details
GET
/service/platform/billing/v1.0/company/{company_id}/extension/{extension_id}/subscription/{subscription_id}
# Retrieve subscription charge details
POST
/service/platform/billing/v1.0/company/{company_id}/extension/{extension_id}/subscription/{subscription_id}/cancel
# Cancel the extension subscription
POST
/service/platform/billing/v1.0/company/{company_id}/extension/{extension_id}/one_time_charge
# Generate a one-time charge
POST
/service/platform/billing/v1.0/company/{company_id}/extension/{extension_id}/subscription
# Initiate subscription billing
GET

Obtain charge details

Retrieve comprehensive details about a specific billing charge.
Parameters
company_idpath
string
Required
The unique identifier of the company.
extension_idpath
string
Required
The unique identifier of the extension
charge_idpath
string
Required
The unique identifier of the entity charge in the system.
GET
/service/platform/billing/v1.0/company/{company_id}/extension/{extension_id}/charge/{charge_id}
Loading...
Response
200
404
The request was successfully processed
Hide
_id
string
Unique identifier for the charge.
entity_type
string
Specifies the type of entity related to the operation, such as 'extension' or 'subscription'
Enum
entity_id
string
Unique identifier for the entity (eg. extension)
name
string
The name of the extension plan
term
string
Description of the charge term.
charge_type
string
The type of charge (e.g., 'standalone', 'recurring').
Enum
pricing_type
string
The pricing model for the charge (e.g., 'one_time', 'recurring').
Enum
price
object (EntityChargePrice)
Show
recurring
object (ChargeRecurring)
Show
status
string
Current status of the charge.
Enum
capped_amount
number
The maximum amount that can be charged for a particular service or item
activated_on
string
| date-time
Date and time when the charge was activated.
cancelled_on
string
| date-time
Date and time when the charge was cancelled.
billing_date
string
| date-time
The date when the billing occurred. This field is optional and may be null if the billing date is not specified.
current_period
object (SubscriptionTrialPeriod)
Show
modified_at
string
| date-time
Date and time when the charge details were last modified.
created_at
string
| date-time
Date and time when the charge was created.
is_test
boolean
Indicates whether the operation or data is in a test mode.
company_id
string
The unique identifier of the company.
meta
object
Additional metadata associated with the charge.
__v
number
Internal version key for the charge record.
Response
Loading...
GET

Retrieve subscription charge details

Retrieve detailed information about subscription charges using this API.
Parameters
company_idpath
string
Required
The unique identifier of the company.
extension_idpath
string
Required
The unique identifier of the extension
subscription_idpath
string
Required
The unique identifier of the subscription
GET
/service/platform/billing/v1.0/company/{company_id}/extension/{extension_id}/subscription/{subscription_id}
Loading...
Response
200
404
The request was successfully processed
Hide
_id
string
Unique identifier for the subscription charge
product_suit_id
string
A unique identifier for a product suite, which represents a specific collection or group of products within the system.
entity_id
string
Unique identifier for the entity (eg. extension)
entity_type
string
Specifies the type of entity related to the operation, such as 'extension' or 'subscription'
Enum
name
string
The name of the extension plan
status
string
Current status of the extension subscription
Enum
trial_days
number
The number of days allocated for the trial period
activated_on
string
| date-time
Date when the charge was activated
cancelled_on
string
| date-time
Date when the charge was cancelled
is_test
boolean
Indicates whether the operation or data is in a test mode.
created_at
string
| date-time
Timestamp when the charge was created
modified_at
string
| date-time
Timestamp when the charge was last modified
company_id
string
The unique identifier of the company.
line_items
array of object
List of line items associated with the charge
Response
Loading...
POST

Cancel the extension subscription

Cancel an ongoing extension subscription for the company.
Parameters
company_idpath
string
Required
The unique identifier of the company.
extension_idpath
string
Required
The unique identifier of the extension
subscription_idpath
string
Required
The unique identifier of the subscription
POST
/service/platform/billing/v1.0/company/{company_id}/extension/{extension_id}/subscription/{subscription_id}/cancel
Loading...
Response
200
404
The request was successfully processed
Hide
_id
string
Unique identifier for the subscription charge
product_suit_id
string
A unique identifier for a product suite, which represents a specific collection or group of products within the system.
entity_id
string
Unique identifier for the entity (eg. extension)
entity_type
string
Specifies the type of entity related to the operation, such as 'extension' or 'subscription'
Enum
name
string
The name of the extension plan
status
string
Current status of the extension subscription
Enum
trial_days
number
The number of days allocated for the trial period
activated_on
string
| date-time
Date when the charge was activated
cancelled_on
string
| date-time
Date when the charge was cancelled
is_test
boolean
Indicates whether the operation or data is in a test mode.
created_at
string
| date-time
Timestamp when the charge was created
modified_at
string
| date-time
Timestamp when the charge was last modified
company_id
string
The unique identifier of the company.
line_items
array of object
List of line items associated with the charge
Response
Loading...
POST

Generate a one-time charge

Generate a one-time charge for specific services or products.
Parameters
company_idpath
string
Required
The unique identifier of the company.
extension_idpath
string
Required
The unique identifier of the extension
Request body
name
string
The name of the one-time charge to be created.
charge
object (OneTimeChargeItem)
Show
is_test
boolean
Indicates whether the operation or data is in a test mode.
return_url
string
URL to which the user will be redirected after creating the charge.
POST
/service/platform/billing/v1.0/company/{company_id}/extension/{extension_id}/one_time_charge
Loading...
Response
200
400
The request was successfully processed
Hide
charge
object (Charge)
Show
confirm_url
string
URL to which users are redirected to confirm or complete the payment or subscription process.
Response
Loading...
POST

Initiate subscription billing

Initiates and registers a subscription charge for a specific extension for a given company.
Parameters
company_idpath
integer
Required
The unique identifier of the company.
extension_idpath
string
Required
The unique identifier of the extension
Request body
name
string
Required
The name of the extension plan
trial_days
number
The number of days allocated for the trial period
line_items
array of object (ChargeLineItem)
Required
Show
is_test
boolean
Indicates whether the operation or data is in a test mode.
return_url
string
Required
The URL to which the user will be redirected after the subscription process is complete.
POST
/service/platform/billing/v1.0/company/{company_id}/extension/{extension_id}/subscription
Loading...
Response
200
400
The request was successfully processed
Hide
subscription
object (EntitySubscription)
Show
confirm_url
string
URL to which users are redirected to post initiation of extension installation.
Response
Loading...